Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.sqs.model
Class DeleteMessageRequest

    java.lang.Object
      com.amazonaws.AmazonWebServiceRequest
          com.amazonaws.services.sqs.model.DeleteMessageRequest

    public class DeleteMessageRequest

extends AmazonWebServiceRequest

Container for the parameters to the `DeleteMessage operation`.

The DeleteMessage action unconditionally removes the specified message from the specified queue. Even if the message is locked by another reader due to the visibility timeout setting, it is still deleted from the queue.

See Also:
  `AmazonSQS.deleteMessage(DeleteMessageRequest)`

Constructor Summary
`DeleteMessageRequest()` Default constructor for a new DeleteMessageRequest object.
`DeleteMessageRequest(String queueUrl, String receiptHandle)` Constructs a new DeleteMessageRequest object.

Method Summary
`String` | `getQueueUrl()`
`String` | `getReceiptHandle()` The receipt handle associated with the message to delete.
`void` | `setQueueUrl(String queueUrl)`
`void` | `setReceiptHandle(String receiptHandle)` The receipt handle associated with the message to delete.
`String` | `toString()` Returns a string representation of this object; useful for testing and debugging.
`DeleteMessageRequest` | `withQueueUrl(String queueUrl)` Returns a reference to this object so that method calls can be chained together.
`DeleteMessageRequest` | `withReceiptHandle(String receiptHandle)` The receipt handle associated with the message to delete.

Methods inherited from class com.amazonaws.AmazonWebServiceRequest
`copyPrivateRequestParameters`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DeleteMessageRequest

    public DeleteMessageRequest()

  Default constructor for a new DeleteMessageRequest object. Callers should use the setter or fluent setter (with...) methods to initialize this object after creating it.

### DeleteMessageRequest

    public DeleteMessageRequest(String queueUrl,
                                String receiptHandle)

  Constructs a new DeleteMessageRequest object. Callers should use the setter or fluent setter (with...) methods to initialize any additional object members.

  Parameters:
    `queueUrl` -
    `receiptHandle` - The receipt handle associated with the message to delete.

Method Detail

### getQueueUrl

    public String getQueueUrl()

  Returns:

### setQueueUrl

    public void setQueueUrl(String queueUrl)

  Parameters:
    `queueUrl` -

### withQueueUrl

    public DeleteMessageRequest withQueueUrl(String queueUrl)

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `queueUrl` -
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getReceiptHandle

    public String getReceiptHandle()

  The receipt handle associated with the message to delete.

  Returns:
    The receipt handle associated with the message to delete.

### setReceiptHandle

    public void setReceiptHandle(String receiptHandle)

  The receipt handle associated with the message to delete.

  Parameters:
    `receiptHandle` - The receipt handle associated with the message to delete.

### withReceiptHandle

    public DeleteMessageRequest withReceiptHandle(String receiptHandle)

  The receipt handle associated with the message to delete.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `receiptHandle` - The receipt handle associated with the message to delete.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### toString

    public String toString()

  Returns a string representation of this object; useful for testing and debugging.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of this object.
  See Also:
    `Object.toString()`

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.